.background {
  background-image: url(https://images.unsplash.com/photo-1533109721025-d1ae7ee7c1e1);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: absolute;
  top: 0;
  left: 0;

  /* Preserve aspet ratio */
  min-width: 100%;
  min-height: 100%;
  
  display: flex;
  justify-content: center;
  align-items: center;
}

.container {
  max-width: 1480px;
  padding: 24px 88px;
}

.main-container {
  table-layout: fixed;
  width: 100%;
  display: grid;
  grid-gap: 20px;
  grid-template-columns: 1fr 2fr;
}

mat-card {
  margin: 0;
  width: 100%;
  height: 100%;
  max-width: 800px;
  min-width: 400px;
}

.image {
  height: 300px;
  width: 300px;
  border-radius: 10px;
}

:host ::ng-deep .mat-card-footer {
  margin: 40px 0;
}

.top-cell {
  display: inline-flex;
  height: 100%;
  width: 100%;
}

.top-cell-right {
  width: 400px;
}

.top-cell-left-content {
  background-color: var(--background-secondary);
  border-radius: 4px;
}

.playlist-title {
  color: rgb(77, 77, 77);
  font-size: 16px;
  letter-spacing: 2px;
}

.description {
  color: rgb(77, 77, 77);
  font-size: 14px;
  letter-spacing: 2px;
}

.details-title {
  color: rgb(77, 77, 77);
  font-size: 20px;
  letter-spacing: 2px;
}

.details-artist {
  color: rgb(77, 77, 77);
  font-size: 18px;
  letter-spacing: 2px;
}

.scrolling-wrapper {
  overflow-x: hidden;
  overflow-y: scroll;
  white-space: nowrap;
  max-height: 380px;

  mat-list-item {
    display: inline-block;
  }

  -webkit-overflow-scrolling: touch;

  &::-webkit-scrollbar {
    display: none;
  }
}

:host h2 {
  margin-bottom: 1.7rem;
}

.playlist-tracks {
  margin-top: -20px;
  margin: 0;
  padding: 0;
  overflow: hidden;
  align-items: center;
  box-sizing: content-box;
}

.playlist-track-header {
  background-color: rgba(0, 0, 0, 0);
  margin-top: 10px;
  height: 56px;
  position: relative;
  text-align: left;
  user-select: none;
  width: 100%;
  color: rgb(77, 77, 77);

  letter-spacing: 2px;
  border-bottom: solid 1px lightgrey;
}

.playlist-track-title-header {
  padding-left: 55px;
  width: 600px;
  font-size: 15px;
  text-align: left;
}

.playlist-track-artist-header {
  padding-left: 63px;
  width: 250px;
  font-size: 15px;
  text-align: left;
}

.playlist-track-duration-header {
  margin-left: 50px;
  width: 80px;
  font-size: 15px;
  text-align: center;
}

:host .photo {
  display: inline-block;
  vertical-align: top;
  height: 40px;
  width: 40px;
  border-radius: 5px;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  opacity: 1;
 
  .play-icon {
    opacity: 0;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  &:hover{
    .play-icon{
        opacity: 1;
    }

    &::after {
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        display: block;
        z-index: 0;
        background-color: rgba(255, 255, 255, 0.9);
        transition: all 0.3s ease-in-out;
        border-radius: 5px;
    }
  } 
}


.playlist-track {
  background-color: rgba(0, 0, 0, 0);
  margin-top: 10px;
  height: 56px;
  position: relative;
  text-align: left;
  user-select: none;
  width: 100%;
  transition-duration: .15s;
  transition-property: background-color, color;

  border-bottom: solid 1px lightgrey;
}

.playlist-track:hover {
  background-color: rgba(146, 145, 145, 0.26);
}

.playlist-track-play-preview {
  height: 40px;
  justify-content: center;
  width: 40px;
  display: block;
  position: relative;
  background-color: rgba(0, 0, 0, 0);
  border-radius: 5px;
}

:host a.play-preview {
  display: inline-block;
  vertical-align: top;
  height: 40px;
  width: 40px;
  border-radius: 5px;
}

.playlist-track-title {
  padding-left: 15px;
  width: 600px;
  font-size: 15px;
  color: black;
  overflow-x: hidden;
}

.playlist-track-link {
  height: 40px;
  justify-content: center;
  width: 40px;
  display: block;
  position: relative;
  background-color: rgba(0, 0, 0, 0);
  border-radius: 5px;
}

:host a.track-link {
  display: inline-block;
  vertical-align: top;
  height: 40px;
  width: 40px;
  border-radius: 5px;
}

.playlist-track-artist {
  padding-left: 15px;
  width: 250px;
  font-size: 15px;
  color: black;
}

.playlist-track-duration {
  margin-left: 50px;
  width: 80px;
  font-size: 15px;
}

